/***************************************************************************
 *   Copyright (C) 2012 by santiago González                               *
 *   santigoro@gmail.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.  *
 *                                                                         *
 ***************************************************************************/

#ifndef CAPACITORBASE_H
#define CAPACITORBASE_H

#include "reactive.h"

class CapacitorBase : public Reactive
{
        Q_OBJECT
    public:
        CapacitorBase( QObject* parent, QString type, QString id );
        ~CapacitorBase();

    protected:
        virtual double updtRes()  override { return m_tStep/m_value; }
        virtual double updtCurr() override { return m_volt*m_admit; }
};

#endif
